<?php declare(strict_types=1);

namespace Plugin\css_uploadFormular;


use JTL\Shop;


$oCssPlugin = src\cssPlugin\cssPlugin::getInstance($plugin);



$_SESSION['css_uploadFormular']=array();

$oItem = new \stdClass ();
$inputfields = array (
		'cAnrede',
		'cName',
		'cEmail',
		'cInformation',
		'cTextfeld1',
		'cTextfeld2',
		'cTextfeld3',
		'cTextfeld4'
);
$cfg = $oCssPlugin->getConfig();

foreach($inputfields as $fieldName) {
	$oItem->{$fieldName} ='';
	$tmp = $fieldName."Field";
	if(!empty($_SESSION['Kunde']->kKunde) && !empty($cfg->{$tmp}) && $cfg->{$tmp} != 'N' ) {
		$aString = explode("_",$cfg->{$tmp});
		$space= '';
		foreach($aString as $cString) {
			if(!empty($_SESSION['Kunde']->{$cString})) {
				if($cString=='cLand') {
					if($_SESSION['Kunde']->{$cString} == 'DE') $cSpalte = 'cDeutsch';
					else $cSpalte = 'cEnglisch';
					
					$db = $oCssPlugin->getDB();
					$obj = $db->select('tland', 'cISO', $_SESSION['Kunde']->{$cString}, null, null, null, null, false, $cSpalte);
					if($obj!==null) {
						$oItem->{$fieldName} = $obj->{$cSpalte};
					}
				}
				elseif($cString=='cAnrede') {
					switch($_SESSION['Kunde']->{$cString}) {
						case 'm': $cAnrede =  $oPlugin->oPluginSprachvariableAssoc_arr['cHerr']; break;
						case 'w': $cAnrede =  $oPlugin->oPluginSprachvariableAssoc_arr['cFrau']; break;
						default: $cAnrede='';
					}
					$oItem->{$fieldName} .= $space.$cAnrede;
				} else {
					$oItem->{$fieldName} .= $space.$_SESSION['Kunde']->{$cString};
				}
				$space=' ';
			}
		}
	}
}

if(!empty($oCssPlugin::$_uploadPath) && !empty($oCssPlugin::$_uploadPath)) {
	$oCssPlugin->removeFiles(PFAD_ROOT . $oCssPlugin::$_uploadPath . '/',86400,20);
	$oCssPlugin->removeFiles(PFAD_ROOT . $oCssPlugin::$_uploadPath . '/'.\session_id().'/',10,20);
	$oCssPlugin->removeFiles(PFAD_ROOT . $oCssPlugin::$_uploadProzessPath . '/',86400,20);
}

$smarty = Shop::Smarty();


$smarty->assign("cssSprache", $oCssPlugin->getAllLocalizedLanguage() )
								->assign("cFrontendPfadURL",$oCssPlugin->getPluginURL())
								->assign("css_uploadFormularConfig",$cfg)
								->assign("cssRequestIO",URL_SHOP.'/io.php')
								->assign("css_uploadFormularItem",$oItem)
								->assign("cssUploadFields",$oCssPlugin->fetchSmarty($cfg->framework.'/uploadfields.tpl'));

$content = $oCssPlugin->fetchSmarty($cfg->framework.'/css_UploadFormular.tpl');
$smarty->assign("cssUploadContent",$content);



